Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Author
Message
Stephen Elliott
2
Years of Service
User Offline
Joined: 31st Jul 2017
Location:
Posted: 10th Mar 2019 13:16
I see there is no board for Linux, so AppGameKit Linux support is non-existent?

My AppGameKit project on PC and Mac works fine, but I can't seem to get it to run on Linux Mint 19 - it compiles and then nothing.

The help screen just shows 'sudo apt-get install libopengl1' to get it working, but that gives an error 'unable to locate package'.

Suggestions?
Kakise
AGK Tool Maker
3
Years of Service
User Offline
Joined: 25th May 2016
Location: Paris
Posted: 10th Mar 2019 13:50
Are your graphical drivers up to date? If yes, try to install those package:


If it still doesn't work, try to check the missing libraries using "ldd" (run "ldd nameOfTheAGKExecutable"). Here's how it looks for me:
PCG Lover
Using AppGameKit Tier 1&2

My creations:

[Tier 1 PLUGIN] Wave Function Collapse for Tier 1
Stephen Elliott
2
Years of Service
User Offline
Joined: 31st Jul 2017
Location:
Posted: 12th Mar 2019 20:58 Edited at: 12th Mar 2019 21:06
Thanks Kakise,

I know Linux is a bit more complicated, but an Application Game Kit aimed at beginners really should work out of the box like it does on PC and Mac - and even Raspberry Pi (running a version of Linux). 3 out of 4 aint bad I guess
Kakise
AGK Tool Maker
3
Years of Service
User Offline
Joined: 25th May 2016
Location: Paris
Posted: 13th Mar 2019 18:12
Well it is designed to work out of the box with Ubuntu 18.04 out of the box afaik
PCG Lover
Using AppGameKit Tier 1&2

My creations:

[Tier 1 PLUGIN] Wave Function Collapse for Tier 1
npink1981
2
Years of Service
User Offline
Joined: 20th Jul 2017
Location: London
Posted: 23rd Mar 2019 10:49
I have it running okay through steam in Ubuntu 18.04
VoidMorrow
4
Years of Service
User Offline
Joined: 17th Jan 2015
Location:
Posted: 3rd Apr 2019 03:58
It does work out of the box on Ubuntu 16.04 through at least 18.04, though it didn't used to. And yes to get it to work make sure you have libopengl installed, plus things like build-essential, etc. If you can't get it to work message me and I'll help.
Stephen Elliott
2
Years of Service
User Offline
Joined: 31st Jul 2017
Location:
Posted: 3rd Apr 2019 16:37 Edited at: 4th Apr 2019 11:45
Thanks guys, well after using USB Sticks and USB 3 External Drives I installed Linux to a proper internal drive. All works well and AppGameKit is working now (sorry, obviously a problem with my system). I'm running Linux Mint 19.1.

Login to post a reply

Server time is: 2019-08-26 07:57:19
Your offset time is: 2019-08-26 07:57:19